.quiz-container {
    max-width: 800px;
    width: 100%;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin: auto
}
.question-container {
    display: flex;
    margin-bottom: 20px;
    border-bottom: 1px solid #ddd;
    padding-bottom: 15px;
    align-items: center;
}
.question-content {
    flex: 0 0 61.8%;
    padding-right: 20px;
}
.question-image {
    flex: 0 0 38.2%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.question-image img {
    width: 80%;
    height: auto;
    border-radius: 8px;
    filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.5));
    padding: 5px;
    transition: transform 0.3s ease; /* Płynne przejście */
}
.answers {
    display: flex;
    flex-direction: column;
    margin-top: 10px;
}
.answer {
    margin-bottom: 8px;
    display: flex;
    align-items: center;
    cursor: pointer;
}
.answer input[type="radio"] {
    margin-right: 10px;
}
.submit-btn, .num-btn, .retry-btn {
    background-color: #4CAF50;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    margin: 5px;
}
.submit-btn:hover, .num-btn:hover, .retry-btn:hover {
    background-color: #45a049;
}
.num-buttons {
    text-align: center;
    margin-bottom: 20px;
}

label {
    padding: 10px;
    font-size: 16px;
    background-color: #f0f0f0;
    color: #333;
    margin-bottom: 8px;
    border-radius: 5px;
    transition: all 0.3s ease;  /* Płynna animacja dla wszystkich właściwości */
    cursor: pointer;
}

/* Efekt na hover */
label:hover {
    background-color: #4CAF50; /* Zmiana koloru tła */
    color: white;  /* Zmiana koloru tekstu */
    transform: scale(1.05);  /* Powiększenie elementu */
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);  /* Dodanie cienia */
    padding-left: 20px;  /* Zwiększenie lewego wcięcia */
}

/* Modal styles */
.modal {
    display: none;
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
}
.modal-content {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    max-width: 500px;
    width: 90%;
    text-align: center;
}
.close-btn {
    background-color: #d9534f;
    color: white;
    padding: 8px 16px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 15px;
}